gnutls_auth_server_get_type(3)

NAME
gnutls_auth_server_get_type - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_credentials_type_t gnutls_auth_server_get_type(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Returns the type of credentials that were used for server authentication. The returned information is to be used to distinguish the function used to access authentication data. Note that on resumed sessions, this function returns the schema used in the original session authentication.

RETURNS
The type of credentials for the server authentication schema, a gnutls_credentials_type_t type.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/